//
// Created by mchodzikiewicz on 10/6/18.
//

#ifndef OPENBREWERYFW_LIB_ETL_PROFILE_H
#define OPENBREWERYFW_LIB_ETL_PROFILE_H

#define ETL_TARGET_DEVICE_GENERIC
#define ETL_TARGET_OS_NONE
#define ETL_COMPILER_GCC
#define ETL_CPP11_SUPPORTED 1
#define ETL_CPP14_SUPPORTED 1
#define ETL_CPP17_SUPPORTED 0
#define ETL_NO_NULLPTR_SUPPORT 0
#define ETL_NO_LARGE_CHAR_SUPPORT 0
#define ETL_CPP11_TYPE_TRAITS_IS_TRIVIAL_SUPPORTED 1
#define ETL_ATOMIC_SUPPORTED 1
#define ETL_MESSAGE_TIMER_USE_INTERRUPT_LOCK
#define ETL_MESSAGE_TIMER_DISABLE_INTERRUPTS (void)0U
#define ETL_MESSAGE_TIMER_ENABLE_INTERRUPTS (void)0U

#define ETL_CALLBACK_TIMER_USE_ATOMIC_LOCK
#define ETL_THROW_EXCEPTIONS

#endif //OPENBREWERYFW_LIB_ETL_PROFILE_H
